Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dotazioneorganica.vo.dotazioneorganicaset
Class DotazioneOrganicaSetRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.dotazioneorganica.vo.dotazioneorganicaset.DotazioneOrganicaSetRequest

    public class DotazioneOrganicaSetRequest

extends java.lang.Object

Richiesta per il servizio setDotazioneOrganica.

Field Summary
`private java.lang.String` | `codAziendaSanitaria` Codice nazionale azienda di appartenenza.
`private java.lang.String` | `dataRiferimento` Data di riferimento.
`private java.lang.String` | `descAttoDeliberativo` Data di riferimento.
`private ElencoStruttureOperativeSet` | `elencoStrutture` Elenco delle strutture operative appartententi all'azienda sanitaria di riferimento.
`private int` | `tipoAziendaSanitaria` Tipo azienda di appartenenza.

Constructor Summary
`DotazioneOrganicaSetRequest()`

Method Summary
`java.lang.String` | `getCodAziendaSanitaria()`
`java.lang.String` | `getDataRiferimento()`
`java.lang.String` | `getDescAttoDeliberativo()`
`ElencoStruttureOperativeSet` | `getElencoStrutture()`
`int` | `getTipoAziendaSanitaria()`
`void` | `setCodAziendaSanitaria(java.lang.String codAziendaSanitaria)`
`void` | `setDataRiferimento(java.lang.String dataRiferimento)`
`void` | `setDescAttoDeliberativo(java.lang.String descAttoDeliberativo)`
`void` | `setElencoStrutture(ElencoStruttureOperativeSet elencoStrutture)`
`void` | `setTipoAziendaSanitaria(int tipoAziendaSanitaria)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataRiferimento

    @Facets(pattern="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}")
    @MinOccurs(value=1L)
    private java.lang.String dataRiferimento

  Data di riferimento.

### codAziendaSanitaria

    @Facets(maxLength=6L,
            pattern="[0-9]+")
    @MinOccurs(value=1L)
    private java.lang.String codAziendaSanitaria

  Codice nazionale azienda di appartenenza.

### tipoAziendaSanitaria

    @Facets(totalDigits=1L,
            pattern="(1|2|3){1}")
    @MinOccurs(value=1L)
    private int tipoAziendaSanitaria

  Tipo azienda di appartenenza. Puņ assumere i seguenti valori:
  - 1: Azienda Ospedaliera
  - 2: IRCCS pubblico
  - 3: ASL

### descAttoDeliberativo

    @Facets(maxLength=20L)
    @MinOccurs(value=0L)
    private java.lang.String descAttoDeliberativo

  Data di riferimento.

### elencoStrutture

    @MinOccurs(value=1L)
    private ElencoStruttureOperativeSet elencoStrutture

  Elenco delle strutture operative appartententi all'azienda sanitaria di riferimento.

Constructor Detail

### DotazioneOrganicaSetRequest

    public DotazioneOrganicaSetRequest()

Method Detail

### setDataRiferimento

    public void setDataRiferimento(java.lang.String dataRiferimento)

### getDataRiferimento

    public java.lang.String getDataRiferimento()

### setDescAttoDeliberativo

    public void setDescAttoDeliberativo(java.lang.String descAttoDeliberativo)

### getDescAttoDeliberativo

    public java.lang.String getDescAttoDeliberativo()

### setElencoStrutture

    public void setElencoStrutture(ElencoStruttureOperativeSet elencoStrutture)

### getElencoStrutture

    public ElencoStruttureOperativeSet getElencoStrutture()

### setCodAziendaSanitaria

    public void setCodAziendaSanitaria(java.lang.String codAziendaSanitaria)

### getCodAziendaSanitaria

    public java.lang.String getCodAziendaSanitaria()

### setTipoAziendaSanitaria

    public void setTipoAziendaSanitaria(int tipoAziendaSanitaria)

### getTipoAziendaSanitaria

    public int getTipoAziendaSanitaria()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD